ps2000Con unable to open device (Ubuntu 18.04)

Discussion forum for the new Picoscope Linux software
Post Reply
nathanieltagg
Newbie
Posts: 0
Joined: Tue May 07, 2019 3:17 pm

ps2000Con unable to open device (Ubuntu 18.04)

Post by nathanieltagg » Tue May 07, 2019 3:31 pm

Hi,
There was an earlier post on this, but it doesn't seem relevant since the drivers seem quite new.

I have a fresh install of Ubuntu 18.04.2 and a brand new PS2207B. I installed via apt. The /opt/picoscope/lib/ has a library version 2.0.0. The picoscope application seems to work fine, and shows me good traces. Running the usbtest script shows correct permissions: the device has group 'pico' and so does my account. I checked by hand and all appears well.

I've compiled the ps2000Con from a fresh checkout of the git repository (both compiled by hand and with the autogen script) and it compiles and runs ok, but...

Code: Select all

PicoScope 2000 Series (ps2000) Driver Example Program
Version 1.3

Opening the device...
Handler: 0
Unable to open device
Unit Not Opened
Cal Date         :
Because the 'ps2000_open_unit' call is in the library, I can't get any farther: there's no source code or exported debugging symbols.

I've tried repeatedly opening the picoscope app, closing it, and running the command line. All the picoscope trials work, all the command-line ones don't.

What do I try next? Is this release buggy on this operating system?

Martyn
Site Admin
Site Admin
Posts: 3687
Joined: Fri Jun 10, 2011 8:15 am
Location: St. Neots

Re: ps2000Con unable to open device (Ubuntu 18.04)

Post by Martyn » Wed May 08, 2019 5:28 am

For the 2207B you need to be using the ps2000a examples from our GitHub page the code you have is for the older 2000 series models.
Martyn
Technical Support Manager

Post Reply